Update the scopes available to this OpenId Connect client app.
Resource URL
https://<subdomain>.onelogin.com/api/2/api_authorizations/:id/clients/:client_app_idHeader Parameters
Authorization required string | Set to Set The access token must have been generated using an API credential pair created using the scope required to call this API. This API can be called using any one of the following scopes: |
Content-Type required string | Set to application/json. |
Resource Parameters
id required integer | The id of the authorization server. |
client_app_id required integer | The id of the client app. |
Request Parameters
scopes required array | An array of Scope IDs that represent the scopes the app can request |
Request Body
{
"scopes": [123, 456]
}Sample Responses
- 200 Ok
- 401 Unauthorized
- 404 Not Found
- 422 Unprocessable Entity
{
"app_id": 909021,
"api_auth_id": 1022697
}Typically, this error means that your access token value is invalid.
{
"message": "Unauthorized",
"statusCode": 401,
"name": "UnauthorizedError"
}Invalid API Authorization Server ID or Invalid OIDC App ID
{
"message": "The resource with the given id could not be found",
"statusCode": 404,
"name": "NotFoundError"
}An invalid scope id has been provided
{
"message": "Validation failed: Scopes 51 does not belong to the specified ApiAuthorizationApp",
"statusCode": 422,
"name": "UnprocessableEntityError"
}Response Elements
id | Unique ID for the Client App |
Postman Collection
Sample Code
cURL
Replace sample values indicated by < > with your actual values.
Update a Client App
curl 'https://<subdomain>.onelogin.com/api/2/api_authorizations/:id/clients/:client_app_id' \
-X PUT \
-H "Authorization: bearer <access_token>"Have a Question?
Found a problem or a bug? Submit a support ticket.
Looking for walkthroughs or how-to guides? Check out our Knowledge Base.
Have a product idea or request? Share it in our Ideas Portal.